%global momorel 5
Name:		gdl
Summary:	Components and library for GNOME development tools.
Version: 0.4.0
Release: %{momorel}m
License:	GPL
Group:		Development/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.4/%{name}-%{version}.tar.bz2
Nosource: 0
Patch0: gdl-gtk2.4-DEPRECATED.patch
Patch1: gdl-0.4.0-string_h.patch
URL:		http://www.gnome.org/
BuildPrereq: gtk+-devel
BuildPrereq: libgnome-devel
BuildPrereq: libbonoboui-devel
BuildPrereq: libxml2-devel
BuildPrereq: libglade-devel
BuildPrereq: librsvg-devel
BuildPrereq: libgsf-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This package contains components and libraries that are intended to be
shared between GNOME development tools, including gnome-debug,
gnome-build, and gIDE.

The current pieces of GDL include:

 - A code-editing bonboo component based on the Scintilla
   widget (scintilla-control).

 - A utility library that also contains the stubs and skels for
   the above components (gdl).

%package devel
Summary:	Libraries and include files for gdl.
Group:		Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk+-devel
Requires: libgnome-devel
Requires: libbonoboui-devel
Requires: libxml2-devel
Requires: libglade-devel
Requires: librsvg-devel

%description devel
Libraries and header files if you want to make use of the gdl library in your
own programs.

%prep
%setup -q
%patch0 -p1 
%patch1 -p1 

%build
libtoolize -c -f
aclocal
autoconf
%configure
%__rm gdl/GDL*
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%{makeinstall}

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_libdir}/bonobo/servers/*.server
%{_datadir}/gdl
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/locale/*/*/*

%files devel
%defattr (-, root, root)
%{_libdir}/*a
%{_libdir}/*so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/idl/*
%{_includedir}/libgdl-1.0

%changelog
* Mon Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.4.0-5m)
- rebuild against for gnome-common

* Mon Nov 29 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.4.0-4m)
- add patch1(gdl-0.4.0-string_h.patch)

* Wed Apr 21 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.4.0-3m)
- add patch0

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.4.0-2m)
- rebuild against for libxml2-2.6.8

* Sat Aug 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.4.0-1m)
- version 0.4.0

* Fri Jul 11 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.0-7m)
- rebuild against for libcoroco-0.3.0

* Sat Apr 12 2003 Shingo AKagaki <dora@kitty.dnsalias.org>
- (0.3.0-6m)
- rebuild against for librsvg (libcroco).

* Mon Mar 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.0-5m)
- rebuild against for XFree86-4.3.0

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.3.0-4m)
  rebuild against openssl 0.9.7a

* Sun Mar  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.0-3m)
- fix URL
- add BuildPrereq: libgsf-devel

* Wed Jan 15 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.0-2m)
- fix defattr about files section

* Fri Oct  4 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.0-1m)
- created spec file
